- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/appstoreappsreview/createappstorehostedapp#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/appstoreappsreview/createappstorehostedapp#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/appstoreappsreview/createappstorehostedapp#body.request_body)
  - [JSON representation](https://developers.google.com/android-publisher/api-ref/rest/v3/appstoreappsreview/createappstorehostedapp#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/appstoreappsreview/createappstorehostedapp#body.response_body)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/appstoreappsreview/createappstorehostedapp#body.aspect)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/appstoreappsreview/createappstorehostedapp#try-it)

Creates an app store hosted app. This must be called before any other RPCs for this hosted app.

### HTTP request

`POST https://androidpublisher.googleapis.com/androidpublisher/v3/appstore/{appStorePackageName}/apps:create`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `appStorePackageName` | `string` Required. Package name of the third-party app store. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "packageName": string } ``` |

| Fields ||
|---|---|
| `packageName` | `string` Required. Package name of the app. |

### Response body

If successful, the response body is empty.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`